﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/TabView.master" AutoEventWireup="True" ValidateRequest="False"
    CodeFile="CWAC1010.aspx.cs" Inherits="Page_CWAC1010" Title="Commissions Preferences" %>

<%@ MasterType VirtualPath="~/MasterPages/TabView.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%"
        TypeName="AdvancedCommission.CW.Graphs.CWACCommissionSetupMaint" PrimaryView="Setup" BorderStyle="NotSet">
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXTab ID="tab" runat="server" Height="669px" Width="100%" DefaultControlID="edCommissionPlanNumberingId" TabIndex="100" DataMember="Setup" DataSourceID="ds">
        <Items>
            <px:PXTabItem Text="General Settings">
                <Template>
                    <px:PXLayoutRule runat="server" ControlSize="L" LabelsWidth="L" />
                    <px:PXFormView ID="formA" runat="server" Caption="Numbering Preferences" DataMember="Setup" DataSourceID="ds" RenderStyle="Fieldset">
                        <Template>
                            <px:PXLayoutRule runat="server" ControlSize="M" LabelsWidth="XM" ></px:PXLayoutRule>
                            <px:PXSelector ID="edCommissionPlanNumberingId" runat="server" DataField="CommissionPlanNumberingId" AllowEdit="True" ></px:PXSelector>
                            <px:PXSelector ID="edCommissionRuleNumberingId" runat="server" DataField="CommissionRuleNumberingId" AllowEdit="True" ></px:PXSelector>
                            <px:PXSelector ID="edCommissionNumberingId" runat="server" DataField="CommissionNumberingId" AllowEdit="True" ></px:PXSelector>
                            <px:PXCheckBox SuppressLabel="True" AlignLeft="True" Size="Empty" ID="chkActivateCashActOverride" runat="server" DataField="ActivateCashActOverride" ></px:PXCheckBox>
                            <px:PXCheckBox SuppressLabel="True" AlignLeft="True" Size="Empty" ID="edEnableChangeOnSOLine" runat="server" DataField="EnableChangeOnSOLine" ></px:PXCheckBox>
                            <px:PXCheckBox SuppressLabel="True" AlignLeft="True" Size="Empty" ID="edRequireDfltARInvoiceSplitsToInsertTransactions" runat="server" DataField="RequireDfltARInvoiceSplitsToInsertTransactions" ></px:PXCheckBox>
                            <px:PXCheckBox SuppressLabel="True" AlignLeft="True" Size="Empty" ID="edRequireDfltSOOrderSplitsToInsertTransactions" runat="server" DataField="RequireDfltSOOrderSplitsToInsertTransactions" ></px:PXCheckBox>
                            <px:PXCheckBox SuppressLabel="True" AlignLeft="True" Size="Empty" ID ="edRequireSplitTotal100" runat="server" DataField="RequireSplitTotal100"></px:PXCheckBox>
                            <px:PXLayoutRule runat="server" ID="CstPXLayoutRule1" StartGroup="True" StartColumn="True" StartRow="True" SuppressLabel="True" GroupCaption="Commissions can be generated from" />
                            <px:PXCheckBox runat="server" ID="edEnableCommissionsFromSO" DataField="EnableCommissionsFromSO" />
                            <px:PXCheckBox runat="server" ID="edEnableCommissionsFromContracts" DataField="EnableCommissionsFromContracts" />
                            <px:PXCheckBox runat="server" ID="edEnableCommissionsFromProjects" DataField="EnableCommissionsFromProjects" />
                            <px:PXLayoutRule runat="server" ID="PXLayoutRule1" StartGroup="True" StartColumn="True" StartRow="True" SuppressLabel="True" 
                                GroupCaption="Payroll Integration" />
                            <px:PXCheckBox runat="server" ID="edEnablePayrollIntegration" DataField="EnablePayrollIntegration" CommitChanges="True"/>
                            <px:PXLayoutRule runat="server" ID="PXLayoutRule2" SuppressLabel="False" LabelsWidth="SM" ControlSize="SM"/>
                            <px:PXDropDown ID="edDefaultPayrollType" runat="server" DataField="DefaultPayrollType"></px:PXDropDown>
                            <px:PXSelector ID="edDefaultPayGroupID" runat="server" DataField="DefaultPayGroupID" AllowEdit="True" ></px:PXSelector>
                            <px:PXSelector ID="edDefaultTypeCD" runat="server" DataField="DefaultTypeCD" AllowEdit="True" ></px:PXSelector>
                            <px:PXLayoutRule runat="server" ID="PXLayoutRule3" StartGroup="True" StartColumn="True" StartRow="True" SuppressLabel="True" 
                                GroupCaption="GL Integration" />
                            <px:PXCheckBox runat="server" ID="edEnableGLIntegration" DataField="EnableGLIntegration" CommitChanges="True"/>
                            <px:PXLayoutRule runat="server" ID="PXLayoutRule4" SuppressLabel="False" LabelsWidth="SM" ControlSize="SM"/>
                            <px:PXSelector ID="edDefaultGLAccount" runat="server" DataField="DefaultGLAccount" AllowEdit="True" ></px:PXSelector>
                            <px:PXSelector ID="edDefaultGLSubID" runat="server" DataField="DefaultGLSubID" AllowEdit="True" ></px:PXSelector>
                        </Template>
                    </px:PXFormView>
                    <px:PXGrid ID="PXGrid1" runat="server" 
                            Height="200px" Width="400px" SkinID="DetailsInTab" DataSourceID="ds" 
                        AutoAdjustColumns="True" AllowPaging="False">
                        <Levels>
                            <px:PXGridLevel DataMember="GLCommissionStatusSetup">
                                <Columns>
                                    <px:PXGridColumn DataField="StatusName" />
                                    <px:PXGridColumn DataField="Allowed" TextAlign="Center" Type="CheckBox" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <Mode AllowAddNew="False" />
                        <Mode AllowDelete="False" />
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Access Rights">
                <Template>
                    <px:PXGrid ID="grdAccessRights" runat="server" Height="100%" Width="100%" SkinID="DetailsInTab" DataSourceID="ds">
                        <Levels>
                            <px:PXGridLevel DataMember="AccessRights">
                                <Columns>
                                    <px:PXGridColumn DataField="Rolename" />
                                    <px:PXGridColumn DataField="UsrCWACCommissionAdmin" TextAlign="Center" Type="CheckBox" Width="50" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
        </Items>
    </px:PXTab>
</asp:Content>