﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAC5010.aspx.cs"
    Inherits="Page_CWAC5010" Title="Calculate Commissions" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="Filter"
        TypeName="AdvancedCommission.CW.Graphs.CWACCalculateCommissionsProcess" />
    <CallbackCommands>
        <px:PXDSCallbackCommand Name="Plan" CommitChanges="true" StartNewGroup="true" Visible="False" ></px:PXDSCallbackCommand>
    </CallbackCommands>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="Filter" Caption="Selection" TabIndex="100">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="PXPlanId" runat="server" DataField="CommissionPlanId" CommitChanges="True" />
            <px:PXDropDown ID="edStatus" runat="server" DataField="Status" CommitChanges="True" />
            <px:PXSelector ID="edSalesPersonId" runat="server" DataField="SalesPersonId" CommitChanges="True" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="S" />
            <px:PXGroupBox ID="groupStartDate" runat="server" Caption="Start Date" >
                <Template>
                    <px:PXDateTimeEdit ID="edStartDateFrom" runat="server" AlreadyLocalized="False" DataField="StartDateFrom" CommitChanges="True" />
                    <px:PXDateTimeEdit ID="edStartDateTo" runat="server" AlreadyLocalized="False" DataField="StartDateTo" CommitChanges="True" />
                </Template>
                <ContentLayout Layout="Stack" />
            </px:PXGroupBox>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="S" />
            <px:PXGroupBox ID="groupEndDate" runat="server" Caption="End Date" >
                <Template>
                    <px:PXDateTimeEdit ID="edEndDateFrom" runat="server" AlreadyLocalized="False" DataField="EndDateFrom" CommitChanges="True" />
                    <px:PXDateTimeEdit ID="edEndDateTo" runat="server" AlreadyLocalized="False" DataField="EndDateTo" CommitChanges="True" />
                </Template>
                <ContentLayout Layout="Stack" />
            </px:PXGroupBox>
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXGrid ID="grid" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100" Width="100%" Caption="Commission Plans"
        SkinID="PrimaryInquire" AdjustPageSize="Auto" AllowPaging="True" SyncPosition="True">
        <Levels>
            <px:PXGridLevel DataMember="Plans">
                <RowTemplate>
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="XM" />
                    <px:PXCheckBox ID="chkSelected" runat="server" DataField="Selected" AlreadyLocalized="False" />
                    <px:PXSelector ID="edCommissionPlanCd" runat="server" DataField="CommissionPlanCd" />
                    <px:PXTextEdit ID="edName" runat="server" AlreadyLocalized="False" DataField="Name" />
                    <px:PXDateTimeEdit ID="edStartDate" runat="server" AlreadyLocalized="False" DataField="StartDate" />
                    <px:PXDateTimeEdit ID="edEndDate" runat="server" AlreadyLocalized="False" DataField="EndDate" />
                    <px:PXDropDown ID="edType" runat="server" DataField="Type" />
                    <px:PXDropDown ID="edFrequency" runat="server" DataField="Frequency" />
                    <px:PXDropDown ID="edPayoutType" runat="server" DataField="PayoutType" />
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn AllowCheckAll="True" DataField="Selected" Label="Selected" TextAlign="Center" Type="CheckBox" Width="30px" />
                    <px:PXGridColumn DataField="CommissionPlanCd" Width="120px" LinkCommand="plan" />
                    <px:PXGridColumn DataField="Name" Width="220px" />
                    <px:PXGridColumn DataField="Type" />
                    <px:PXGridColumn DataField="StartDate" Width="90px" />
                    <px:PXGridColumn DataField="EndDate" Width="90px" />
                    <px:PXGridColumn DataField="PayoutType" />
                    <px:PXGridColumn DataField="Frequency" />
                    <px:PXGridColumn DataField="Status" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
        <ActionBar PagerVisible="False" />
    </px:PXGrid>
</asp:Content>
