<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAC5070.aspx.cs" 
    Inherits="Page_CWAC5070" Title="Create GL Batch" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" PrimaryView="Filter"
                     TypeName="AdvancedCommission.CW.Graphs.CWACGLLoadProcess">
        <CallbackCommands>
            <px:PXDSCallbackCommand Name="GotoSalesPerson" Visible="False" DependOnGrid="gridCommissions">
            </px:PXDSCallbackCommand>
         </CallbackCommands>
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="Filter" Caption="Selection" TabIndex="100">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXGroupBox ID="groupGLFields" runat="server" Caption="GL Required Fields" >
                <Template>
                    <px:PXDropDown ID="edProcessAction" runat="server" DataField="ProcessAction" CommitChanges="True"></px:PXDropDown>
                    <px:PXSelector ID="edGLBatchBranchID" runat="server" DataField="GLBatchBranchID" AllowEdit="True" />
                    <px:PXDateTimeEdit ID="edGLBatchDateEntered" runat="server" AlreadyLocalized="False" DataField="GLBatchDateEntered" CommitChanges="True" />
                    <px:PXSelector ID="edGLBatchFinPeriodID" runat="server" DataField="GLBatchFinPeriodID" AllowEdit="True" />
                    <px:PXSelector ID="edGLBatchNbr" runat="server" DataField="GLBatchNbr" AllowEdit="True" CommitChanges="True" />
                    <px:PXSelector ID="edGLBatchLedgerID" runat="server" DataField="GLBatchLedgerID" AllowEdit="True" />
                    <px:PXSelector ID="edGLBatchAccount" runat="server" DataField="GLBatchAccount" AllowEdit="True" />
                    <px:PXSelector ID="edGLBatchSubID" runat="server" DataField="GLBatchSubID" AllowEdit="True" />
                </Template>
                <ContentLayout Layout="Stack" />
            </px:PXGroupBox>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXGroupBox ID="groupCommissionDateFilter" runat="server" Caption="Commission Date Filter" >
                <Template>
                    <px:PXDateTimeEdit ID="edCommissionDateFrom" runat="server" AlreadyLocalized="False" DataField="CommissionDateFrom" CommitChanges="True" />
                    <px:PXDateTimeEdit ID="edCommissionDateTo" runat="server" AlreadyLocalized="False" DataField="CommissionDateTo" CommitChanges="True" />
                </Template>
                <ContentLayout Layout="Stack" />
            </px:PXGroupBox>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXGroupBox ID="groupCommissionAdditionalFilters" runat="server" Caption="Additional Commission Filters" >
                <Template>
                    <px:PXSelector ID="PXPlanId" runat="server" DataField="CommissionPlanId" CommitChanges="True" />
                    <px:PXSelector ID="PXSalespersonId" runat="server" DataField="SalespersonId" CommitChanges="True" />
                    <px:PXDropDown ID="edFrequency" runat="server" DataField="Frequency" AllowNull="True" CommitChanges="True" />
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
                    <px:PXDropDown ID="edPayoutType" runat="server" DataField="PayoutType" AllowNull="True" CommitChanges="True" />
                </Template>
                <ContentLayout Layout="Stack" />
            </px:PXGroupBox>
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXGrid ID="gridCommissions" runat="server" DataSourceID="ds" Height="153px" Style="z-index: 100" Caption="Commissions" AllowSearch="True" AllowFilter="true" Width="100%" 
               AdjustPageSize="Auto" SkinID="Inquire" AllowPaging="True" TabIndex="1300" RestrictFields="True" SyncPosition="true" >
        <ActionBar DefaultAction="ViewDocument" />
        <Levels>
            <px:PXGridLevel DataMember="Commissions">
                <RowTemplate>
                    <px:PXCheckBox ID="chkSelected" runat="server" DataField="Selected" AlreadyLocalized="False" />
                    <px:PXSelector ID="edSalesPersonID" runat="server" DataField="SalesPersonID"/>
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn AllowCheckAll="True" DataField="Selected" Label="Selected" TextAlign="Center" Type="CheckBox" Width="30px" />
                    <px:PXGridColumn DataField="CommissionCD"  TextAlign="Left" />
                    <px:PXGridColumn DataField="CommissionType"  TextAlign="Left" />
                    <px:PXGridColumn DataField="SalesPersonID"  TextAlign="Left" LinkCommand="GotoSalesPerson" />
                    <px:PXGridColumn DataField="SalesPersonID_Description"  TextAlign="Left" />

                    <px:PXGridColumn DataField="CommissionPlanId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="FullCommissionAmount" Width="120px" TextAlign="Left" />
                    <px:PXGridColumn DataField="Threshold"  TextAlign="Left" />
                    <px:PXGridColumn DataField="InvoiceReferenceNumber" Width="130px" TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="CommissionSplit"  TextAlign="Left" />
                    <px:PXGridColumn DataField="AmountToPay"  TextAlign="Left" />
                    <px:PXGridColumn DataField="Status"  TextAlign="Left" />
                    <px:PXGridColumn DataField="PayoutType"  TextAlign="Left" />
                    <px:PXGridColumn DataField="Type"  TextAlign="Left" />
                    <px:PXGridColumn DataField="Frequency"  TextAlign="Left" />
                    <px:PXGridColumn DataField="ReasonCode"  TextAlign="Left" />
                    <px:PXGridColumn DataField="Description"  TextAlign="Left" />
                    <px:PXGridColumn DataField="CommissionDate"  TextAlign="Left" />
                    <px:PXGridColumn DataField="BaseQty"  TextAlign="Left" />
                    <px:PXGridColumn DataField="BranchId"  TextAlign="Left" />
                    <px:PXGridColumn DataField="ARRegister__ClosedFinPeriodId"  TextAlign="Left" />
                    <px:PXGridColumn DataField="DocBal"  TextAlign="Left" />
                    <px:PXGridColumn DataField="OrigDocAmt"  TextAlign="Left" />
                    <px:PXGridColumn DataField="PaymentTotal"  TextAlign="Left" />
                    <px:PXGridColumn DataField="LastPaymentDate"  TextAlign="Left" />
                    <px:PXGridColumn DataField="Cost"  TextAlign="Left" />
                    <px:PXGridColumn DataField="CustomerId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="DiscAmt"  TextAlign="Left" />
                    <px:PXGridColumn DataField="DocClass"  TextAlign="Left" />
                    <px:PXGridColumn DataField="DocDate"  TextAlign="Left" />
                    <px:PXGridColumn DataField="DocDesc"  TextAlign="Left" />
                    <px:PXGridColumn DataField="DocType"  TextAlign="Left" />
                    <px:PXGridColumn DataField="DueDate"  TextAlign="Left" />
                    <px:PXGridColumn DataField="ExtPrice"  TextAlign="Left" />
                    <px:PXGridColumn DataField="FinPeriodId"  TextAlign="Left" />
                    <px:PXGridColumn DataField="InventoryId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="Margin"  TextAlign="Left" />
                    <px:PXGridColumn DataField="MarginPercent"  TextAlign="Left" />
                    <px:PXGridColumn DataField="ProjectId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="Qty"  TextAlign="Left" />
                    <px:PXGridColumn DataField="Released"  TextAlign="Left" />
                    <px:PXGridColumn DataField="SoOrderNbr"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="InvoiceStatus"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TaskId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="ActualCost"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TaxAmt"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TranAmt"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TranClass"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TranCost"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TranDate"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TranDesc"  TextAlign="Left" />
                    <px:PXGridColumn DataField="TranPeriodId"  TextAlign="Left" />
                    <px:PXGridColumn DataField="InvoiceDocumentType"  TextAlign="Left" />
                    <px:PXGridColumn DataField="UnitCost"  TextAlign="Left" />
                    <px:PXGridColumn DataField="UnitPrice"  TextAlign="Left" />
                    <px:PXGridColumn DataField="UoM"  TextAlign="Left" />
                    <px:PXGridColumn DataField="LineOrderType"  TextAlign="Left" />
                    <px:PXGridColumn DataField="LineOrderNbr"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="LineNbr"  TextAlign="Left" />
                    <px:PXGridColumn DataField="LineInventoryId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="LineCustomerId"  TextAlign="Left" LinkCommand="ViewEntity" />
                    <px:PXGridColumn DataField="LineOrderDate"  TextAlign="Left" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
    </px:PXGrid>
</asp:Content>